org.richfaces.component

## Class UIRecursiveTreeNodesAdaptor

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.model.StackingTreeModelProvider
      - - org.richfaces.component.UITreeNodesAdaptor
        - - org.richfaces.component.UIRecursiveTreeNodesAdaptor

- All Implemented Interfaces:
    javax.faces.component.StateHolder
  Direct Known Subclasses:
    HtmlRecursiveTreeNodesAdaptor

      public abstract class UIRecursiveTreeNodesAdaptor
      extends UITreeNodesAdaptor

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `protected static java.lang.String` | `FIRST`
    `protected static java.lang.String` | `LAST`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIRecursiveTreeNodesAdaptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addChildModels(org.richfaces.model.StackingTreeModel model, java.util.List<org.richfaces.model.StackingTreeModel> childModels)`
    `protected org.richfaces.model.StackingTreeModel` | `createRecursiveModel()`
    `java.lang.Object` | `getData()`
    `abstract java.lang.String` | `getRecursionOrder()`
    `abstract java.lang.Object` | `getRoots()`
    `abstract java.lang.String` | `getVar()`
    `protected boolean` | `includeNode()`
    `abstract boolean` | `isIncluded()`
    `abstract boolean` | `isIncludedRoot()`
    `abstract void` | `setIncluded(boolean active)`
    `abstract void` | `setIncludedRoot(boolean active)`
    `abstract void` | `setRecursionOrder(java.lang.String recursionOrder)`
    `abstract void` | `setRoots(java.lang.Object roots)`
    `abstract void` | `setVar(java.lang.String var)`

    - ### Methods inherited from class org.richfaces.component.UITreeNodesAdaptor

      `createStackingTreeModel, isIncludedNode, setIncludedNode`

    - ### Methods inherited from class org.richfaces.model.StackingTreeModelProvider

      `getNodes, getStackingModel, setNodes`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIRST

          protected static final java.lang.String FIRST

      See Also:
        Constant Field Values

    - #### LAST

          protected static final java.lang.String LAST

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIRecursiveTreeNodesAdaptor

          public UIRecursiveTreeNodesAdaptor()

  - ### Method Detail

    - #### getRoots

          public abstract java.lang.Object getRoots()

    - #### setRoots

          public abstract void setRoots(java.lang.Object roots)

    - #### isIncluded

          public abstract boolean isIncluded()

    - #### setIncluded

          public abstract void setIncluded(boolean active)

    - #### isIncludedRoot

          public abstract boolean isIncludedRoot()

    - #### setIncludedRoot

          public abstract void setIncludedRoot(boolean active)

    - #### getRecursionOrder

          public abstract java.lang.String getRecursionOrder()

    - #### setRecursionOrder

          public abstract void setRecursionOrder(java.lang.String recursionOrder)

    - #### includeNode

          protected boolean includeNode()

      Overrides:
        `includeNode` in class `UITreeNodesAdaptor`

    - #### getData

          public java.lang.Object getData()

      Overrides:
        `getData` in class `org.richfaces.model.StackingTreeModelProvider`

    - #### getVar

          public abstract java.lang.String getVar()

      Specified by:
        `getVar` in class `UITreeNodesAdaptor`

    - #### setVar

          public abstract void setVar(java.lang.String var)

      Specified by:
        `setVar` in class `UITreeNodesAdaptor`

    - #### createRecursiveModel

          protected org.richfaces.model.StackingTreeModel createRecursiveModel()

    - #### addChildModels

          protected void addChildModels(org.richfaces.model.StackingTreeModel model,
                            java.util.List<org.richfaces.model.StackingTreeModel> childModels)

      Overrides:
        `addChildModels` in class `org.richfaces.model.StackingTreeModelProvider`

Copyright © 2014. All Rights Reserved.